Skip to main content

Get a specific tracing account

GET 

/v1/account-management/consumption/tracing-accounts/:id

Returns a tracing account of a Consumption owner account. Available for Consumption accounts only. If the account is not a Consumption account, the request returns 400.

Please ensure to change the region in the URL to match your account's region.

Request​

Path Parameters

    id integerrequired

    ID of the tracing account.

Responses​

OK

Schema
    accountId integer

    ID of the tracing account.

    accountName string

    Name of the tracing account.

    maxDailyGBConsumption float

    The maximum volume of data, in GB, that the tracing account can index per calendar day. This is the account's soft limit - the same value the soft limit endpoints read and write. Null if not set.

    retention integer

    Number of days that trace data is retained.

    createdAt number

    Account creation time, in epoch seconds.

    authorizedAccounts object[]

    Accounts that can access the tracing account's data.

  • Array [
  • accountId integer
    accountName string
  • ]
  • suspensionState string

    Possible values: [MONTHLY_SPANS_QUOTA_EXCEEDED, DAILY_INDEXING_THRESHOLD_EXCEEDED, DAILY_CONSUMPTION_USAGE_EXCEEDED, NOT_SUSPENDED]

    Whether the account is suspended, and why.

Loading...